Subject: bug#69459: 30.0.50; temacs, SEGV while pdumping

From: Gerd Möllmann <[email-masked]>
Date: Thu, 29 Feb 2024 05:21:40 +0100

Gerd Möllmann <[email-masked]> writes:

> 1. While dumping, pdump creates new Lisp_Objects (hash-tables, conses, ...)
> that are stored in dump_context or subobjects of it, hash-tables for
> example.
>
> 2. I can't find a function that marks a struct dump_context for GC. If
> I'm right, nothing protects the objects that pdump creates from GC. 
>
> As a fix I propose to inhibit GC while pdumping. Would be nice if
> someone could check if (2) is right.

(2) is false: because ctx_buf is on the stack, stack scanning makes it
an ambiguous root.

So I'm closing this, because I haven't seen something like this SEGV in
an unmpdified Emacs.